import {actionUserCreate} from "../reducers/UserReducer";
const {actionPromise} = require("../reducers/PromiseReducer");
const {gql} = require("./PathDB");

export const actionUserFindOne = (_id) => {
    return actionPromise('userfindone', gql(`query userfindone($q: String){
      UserFindOne(query: $q){
        _id createdAt login nick acl avatar{
            _id text url originalFileName
          }
        }
      }`,  {q: JSON.stringify([{_id}])}))
}

export const actionFullUserFindOne = (_id) =>
    async dispatch => {
        let value = await dispatch(actionUserFindOne(_id))
        if (value){
            dispatch(actionUserCreate(value))
        }
    }
